package com.zd.system.service;

import java.util.List;
import com.zd.system.domain.SysLogoConfig;

/**
 * logo配置Service接口
 *
 * @author zd
 * @date 2022-05-06
 */
public interface ISysLogoConfigService
{
    /**
     * 查询logo配置
     *
     * @param id logo配置主键
     * @return logo配置
     */
    public SysLogoConfig selectSysLogoConfigById(Long id);

    /**
     * 查询logo配置列表
     *
     * @param sysLogoConfig logo配置
     * @return logo配置集合
     */
    public List<SysLogoConfig> selectSysLogoConfigList(SysLogoConfig sysLogoConfig);

    /**
     * 新增logo配置
     *
     * @param sysLogoConfig logo配置
     * @return 结果
     */
    public int insertSysLogoConfig(SysLogoConfig sysLogoConfig);

    /**
     * 修改logo配置
     *
     * @param sysLogoConfig logo配置
     * @return 结果
     */
    public int updateSysLogoConfig(SysLogoConfig sysLogoConfig);

    /**
     * 批量删除logo配置
     *
     * @param ids 需要删除的logo配置主键集合
     * @return 结果
     */
    public int deleteSysLogoConfigByIds(Long[] ids);

    /**
     * 删除logo配置信息
     *
     * @param id logo配置主键
     * @return 结果
     */
    public int deleteSysLogoConfigById(Long id);
}
